Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08315 DIP/Input Minor Always May 16, 2022, 04:08 Jun 1, 2022, 05:23
Tester sasuke View Status Public Platform MAME (Official Binary)
Assigned To kmg Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver
Version 0.243 Fixed in Version 0.244 Build 64-bit
Fixed in Git Commit 34b4b45 Github Pull Request # #9766
Summary 08315: salamand and clones: When press credit button sometimes gets 2 credits.
Description When press credit button once, sometimes get 2 credits.
It always occurs at first credit after boot.
But if remove finger from credit button immediately, it will not occur.
It is a bug like chattering.
Steps To Reproduce
Additional Information This does not occur in v0.105 and v0.157.
Github Commit
Flags
Regression Version 0.212
Affected Sets / Systems salamand and clones
Attached Files
 
Relationships
related to 08339Acknowledged  salamand and clones: Credit is entered only one frame in test mode 
Notes
6
User avatar
No.20192
Tafoid
Administrator
May 16, 2022, 23:50
Seems to a casualty of raw screen parameter changes:
https://github.com/mamedev/mame/commit/e724f4d7e60c266138b1ab4ffd6cd2bb81858682

There was another commit after which fixed coins for another game in the driver, perhaps it may or may not have the answer:
https://github.com/mamedev/mame/commit/ad2e7a469463d02508c98a471332256e3e8621b2
User avatar
No.20197
kmg
Tester
May 17, 2022, 04:00
I changed the coins to PORT_IMPULSE(1) which seems to address the issue, if anybody wants to confirm against top of tree.
User avatar
No.20209
ozfalcon
Tester
May 19, 2022, 10:54
edited on: May 19, 2022, 11:07
Side note: Soft (F3) resets to black screen. Regression is Mame 0.221 (Mame 0.220 soft resets ok).
User avatar
No.20230
sasuke
Tester
May 27, 2022, 17:33
edited on: May 27, 2022, 17:35
Thank you for the fix!
However, this fix will change the behavior of coin input in input test mode.
The behavior will be correct in-game, but I think the fix is not perfect.
At least in v0.105 and v0.157, it worked correctly both in-game and in test mode, so I think there is another correct fix.
User avatar
No.20231
sasuke
Tester
May 27, 2022, 17:39
For more on soft reset issue, please check below.
https://mametesters.org/view.php?id=7670
User avatar
No.20267
sasuke
Tester
Jun 1, 2022, 05:23
#08339: salamand and clones: Credit is entered only one frame in test mode
https://mametesters.org/view.php?id=8339

New report registed